[arch-commits] Commit in gnome-system-monitor/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Oct 11 13:23:14 EDT 2008


    Date: Saturday, October 11, 2008 @ 13:23:14
  Author: jgc
Revision: 14915

upgpkg: gnome-system-monitor 2.24.0-1

Modified:
  gnome-system-monitor/trunk/PKGBUILD

----------+
 PKGBUILD |   20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-11 17:21:48 UTC (rev 14914)
+++ PKGBUILD	2008-10-11 17:23:14 UTC (rev 14915)
@@ -2,29 +2,29 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=gnome-system-monitor
-pkgver=2.22.3
+pkgver=2.24.0
 pkgrel=1
 pkgdesc="A system monitor for GNOME"
 arch=(i686 x86_64)
 license=('GPL')
-depends=('libgksu>=2.0.5' 'libwnck>=2.22.3' 'gnome-vfs>=2.22.0' 'libgtop>=2.22.3' 'gtkmm>=2.12.7' 'librsvg>=2.22.2')
-makedepends=('perlxml' 'pkgconfig' 'gnome-doc-utils>=0.12.2')
+depends=('libgksu>=2.0.5' 'libwnck>=2.24.0' 'gconf>=2.24.0' 'libgtop>=2.24.0' 'gtkmm>=2.14.1' 'librsvg>=2.22.3')
+makedepends=('perlxml' 'pkgconfig' 'gnome-doc-utils>=0.14.0')
 options=(!emptydirs)
 url="http://www.gnome.org"
 groups=('gnome-extra')
 install=gnome-system-monitor.install
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.22/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('06a162294f63cc7c931f78b73d4043b7')
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.24/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('edd7f02e30683054b94a89aa62c74d1e')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var --disable-scrollkeeper \
 	      --enable-pcrecpp || return 1
   make || return 1
-  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install || return 1
+  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
 
-  install -m755 -d ${startdir}/pkg/usr/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas || return 1
-  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  install -m755 -d "${pkgdir}/usr/share/gconf/schemas"
+  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
 }




More information about the arch-commits mailing list